Loading...
Searching...
No Matches
casacore::SpecificFunctionFactory< T, F > Class Template Reference
scimath package (libcasa_scimath) » Functionals_module

More...

`#include <SpecificFunctionFactory.h>`

## Public Member Functions

| SpecificFunctionFactory ()
| SpecificFunctionFactory (const SpecificFunctionFactory< T, F > &factory)
virtual | ~SpecificFunctionFactory ()
virtual Function< T > * | create (const Record &gr) const throw (FunctionFactoryError)
SpecificFunctionFactory< T, F > & | operator= (const SpecificFunctionFactory< T, F > &factory)
Public Member Functions inherited from casacore::FunctionFactory< T >
| FunctionFactory ()
| FunctionFactory (const FunctionFactory< T > &factory)
virtual | ~FunctionFactory ()
FunctionFactory< T > & | operator= (const FunctionFactory< T > &factory)

## Detailed Description

template<class T, class F>
class casacore::SpecificFunctionFactory< T, F >

### Intended use:

Public interface

### Review Status

Date Reviewed:
  yyyy/mm/dd

### Prerequisite

- FunctionFactory

### Etymology

This class is based on the Factory pattern, similar to the ApplicationObjectFactory

### Synopsis

### Example

### Motivation

### Template Type Argument Requirements (T)

- F class must be a subclass of Function<T>
- F class must have a constructor for the form F(const Record&)

### Thrown Exceptions

### To Do

Definition at line 95 of file SpecificFunctionFactory.h.

## Constructor & Destructor Documentation

## SpecificFunctionFactory() [1/2]

template<class T, class F>

casacore::SpecificFunctionFactory< T, F >::SpecificFunctionFactory | ( |  | ) |

inline

Definition at line 98 of file SpecificFunctionFactory.h.

Referenced by operator=(), and SpecificFunctionFactory().

## SpecificFunctionFactory() [2/2]

template<class T, class F>

casacore::SpecificFunctionFactory< T, F >::SpecificFunctionFactory | ( | const SpecificFunctionFactory< T, F > & | factory | ) |

inline

Definition at line 99 of file SpecificFunctionFactory.h.

References SpecificFunctionFactory().

## ~SpecificFunctionFactory()

template<class T, class F>

virtual casacore::SpecificFunctionFactory< T, F >::~SpecificFunctionFactory | ( |  | ) |

inline virtual

Definition at line 100 of file SpecificFunctionFactory.h.

## Member Function Documentation

## create()

template<class T, class F>

virtual Function< T > * casacore::SpecificFunctionFactory< T, F >::create | ( | const Record & | gr | ) | const
throw | ( | FunctionFactoryError ) |  |  |

inline virtual

Implements casacore::FunctionFactory< T >.

Definition at line 101 of file SpecificFunctionFactory.h.

References casacore::Record().

## operator=()

template<class T, class F>

SpecificFunctionFactory< T, F > & casacore::SpecificFunctionFactory< T, F >::operator= | ( | const SpecificFunctionFactory< T, F > & | factory | ) |

inline

Definition at line 107 of file SpecificFunctionFactory.h.

References SpecificFunctionFactory().

The documentation for this class was generated from the following file:

- scimath/Functionals/SpecificFunctionFactory.h